# Metadata

API metadata and available options

## GET /v1/meta

> Get all metadata

```json
{"openapi":"3.1.0","info":{"title":"Cuppa API","version":"1.0.0"},"tags":[{"name":"Metadata","description":"API metadata and available options"}],"servers":[{"url":"https://api.cuppa.ai"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}}},"paths":{"/v1/meta":{"get":{"summary":"Get all metadata","responses":{"200":{"description":"Metadata object","content":{"application/json":{"schema":{"type":"object","properties":{"languages":{"type":"array","items":{"type":"object","required":["name","code"],"properties":{"name":{"type":"string"},"code":{"type":"string"}}}},"regions":{"type":"array","items":{"type":"object","required":["name","code"],"properties":{"name":{"type":"string"},"code":{"type":"string"}}}},"models":{"type":"array","items":{"type":"string"}},"image_models":{"type":"array","items":{"type":"string"}}},"required":["languages","regions","models","image_models"]}}}}},"tags":["Metadata"]}}}}
```

## GET /v1/meta/models

> Get available models

```json
{"openapi":"3.1.0","info":{"title":"Cuppa API","version":"1.0.0"},"tags":[{"name":"Metadata","description":"API metadata and available options"}],"servers":[{"url":"https://api.cuppa.ai"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}}},"paths":{"/v1/meta/models":{"get":{"summary":"Get available models","responses":{"200":{"description":"A list of model names","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}},"tags":["Metadata"]}}}}
```

## Get available image models

> Returns all available image generation models. Models are grouped by provider:\
> \
> \*\*OpenAI models\*\* (require OpenAI API key):\
> \- \`gpt-image-2\`: GPT Image 2, latest state-of-the-art OpenAI image model. Sizes: 1024x1024, 1536x1024, 1024x1536\
> \- \`gpt-image-1.5\`: GPT Image 1.5, fast and high quality. Sizes: 1024x1024, 1536x1024, 1024x1536\
> \- \`gpt-image-1\`: GPT Image 1, photorealistic quality. Sizes: 1024x1024, 1536x1024, 1024x1536\
> \
> \*\*Replicate models\*\* (require Replicate API key):\
> \- \`black-forest-labs/flux-1.1-pro-ultra\`: Flux 1.1 Pro Ultra, highest quality Flux model\
> \- \`black-forest-labs/flux-1.1-pro\`: Flux 1.1 Pro, high quality with custom dimensions\
> \- \`black-forest-labs/flux-dev\`: Flux Dev, fast iteration\
> \- \`black-forest-labs/flux-pro\`: Flux Pro, balanced quality and speed\
> \- \`black-forest-labs/flux-schnell\`: Flux Schnell, fastest Flux model\
> \- \`stability-ai/stable-diffusion-3\`: Stable Diffusion 3\
> \- \`replicate:nano-banana-pro\`: Nano Banana Pro, supports 1K/2K/4K resolution output\
> \- \`replicate:imagen-4\`: Google Imagen 4 via Replicate\
> \
> \*\*Google models\*\* (require Google AI API key):\
> \- \`imagen-4.0-generate-001\`: Google Imagen 4, native Google API<br>

```json
{"openapi":"3.1.0","info":{"title":"Cuppa API","version":"1.0.0"},"tags":[{"name":"Metadata","description":"API metadata and available options"}],"servers":[{"url":"https://api.cuppa.ai"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}}},"paths":{"/v1/meta/image_models":{"get":{"summary":"Get available image models","description":"Returns all available image generation models. Models are grouped by provider:\n\n**OpenAI models** (require OpenAI API key):\n- `gpt-image-2`: GPT Image 2, latest state-of-the-art OpenAI image model. Sizes: 1024x1024, 1536x1024, 1024x1536\n- `gpt-image-1.5`: GPT Image 1.5, fast and high quality. Sizes: 1024x1024, 1536x1024, 1024x1536\n- `gpt-image-1`: GPT Image 1, photorealistic quality. Sizes: 1024x1024, 1536x1024, 1024x1536\n\n**Replicate models** (require Replicate API key):\n- `black-forest-labs/flux-1.1-pro-ultra`: Flux 1.1 Pro Ultra, highest quality Flux model\n- `black-forest-labs/flux-1.1-pro`: Flux 1.1 Pro, high quality with custom dimensions\n- `black-forest-labs/flux-dev`: Flux Dev, fast iteration\n- `black-forest-labs/flux-pro`: Flux Pro, balanced quality and speed\n- `black-forest-labs/flux-schnell`: Flux Schnell, fastest Flux model\n- `stability-ai/stable-diffusion-3`: Stable Diffusion 3\n- `replicate:nano-banana-pro`: Nano Banana Pro, supports 1K/2K/4K resolution output\n- `replicate:imagen-4`: Google Imagen 4 via Replicate\n\n**Google models** (require Google AI API key):\n- `imagen-4.0-generate-001`: Google Imagen 4, native Google API\n","responses":{"200":{"description":"A list of image model names","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}},"tags":["Metadata"]}}}}
```

## GET /v1/meta/languages

> Get available languages

```json
{"openapi":"3.1.0","info":{"title":"Cuppa API","version":"1.0.0"},"tags":[{"name":"Metadata","description":"API metadata and available options"}],"servers":[{"url":"https://api.cuppa.ai"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}}},"paths":{"/v1/meta/languages":{"get":{"summary":"Get available languages","responses":{"200":{"description":"A list of supported languages","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["name","code"],"properties":{"name":{"type":"string"},"code":{"type":"string"}}}}}}}},"tags":["Metadata"]}}}}
```

## GET /v1/meta/regions

> Get available regions

```json
{"openapi":"3.1.0","info":{"title":"Cuppa API","version":"1.0.0"},"tags":[{"name":"Metadata","description":"API metadata and available options"}],"servers":[{"url":"https://api.cuppa.ai"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}}},"paths":{"/v1/meta/regions":{"get":{"summary":"Get available regions","responses":{"200":{"description":"A list of supported regions","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["name","code"],"properties":{"name":{"type":"string"},"code":{"type":"string"}}}}}}}},"tags":["Metadata"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.cuppa.ai/rest-api/metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
